##### 7.5.4.0. Sannfs

Procedure from library `dmod.lib` (see dmod_lib).

Usage:
  Sannfs(f [,S,eng]); f a poly, S a string, eng an optional int

Return:
  ring

Purpose:
  compute the D-module structure of basering[f^s] with the algorithm
  given in S and with the Groebner basis engine given in eng

Note:
  activate the output ring with the `setring` command.
  The value of a string S can be
  'bm' (default) - for the algorithm of Briancon and Maisonobe,
  'lot' - for the Levandovskyy's modification of the algorithm of OT,
  'ot' - for the algorithm of Oaku and Takayama.
  If eng <>0, `std` is used for Groebner basis computations,
  otherwise, and by default `slimgb` is used.
  In the output ring:
  - the ideal LD is the needed D-module structure.

Display:
  If `printlevel`=1, progress debug messages will be printed,
  if `printlevel`>=2, all the debug messages will be printed.

Example:

    LIB "dmod.lib";
    ring r = 0,(x,y,z),Dp;
    poly F = x^3+y^3+z^3;
    printlevel = 0;
    def A  = Sannfs(F); // here, the default BM algorithm will be used
    setring A;
    LD;
    ==> LD[1]=z^2*Dy-y^2*Dz
    ==> LD[2]=x*Dx+y*Dy+z*Dz-3*s
    ==> LD[3]=z^2*Dx-x^2*Dz
    ==> LD[4]=y^2*Dx-x^2*Dy

User manual for Singular version 4.4.1, 2025, generated by texi2html.